import React from 'react';
import ReactDom from 'react-dom';
import { arc } from 'd3';

const width=960;
const height=500;
const cx = width/2;
const cy = height/2;
const strokeWidth = 10;
const eyeoffsetX = 90;
const eyeoffsetY = 100;
const eyeRadius = 40;
const mouthWidth = 20;
const mouthRadius = 150;

const mouthArc = arc()
    .innerRadius(mouthRadius)
    .outerRadius(mouthRadius-mouthWidth)
    .startAngle(Math.PI / 2)
    .endAngle(Math.PI * 3/2);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${cx},${cy})`}>
      <circle 
              r={cy - strokeWidth / 2}
              fill="yellow"
              stroke="black"
              stroke-width={strokeWidth}
      />
      <circle cx={- eyeoffsetX}
              cy={- eyeoffsetY}
              r={eyeRadius}
      />
      <circle cx={eyeoffsetX}
              cy={-eyeoffsetY}
              r={eyeRadius}
      />
    <path d={mouthArc()} />
   </g>
  </svg>
 );

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);

